/* CLI delete alias node:
   CLI:  delete alias aliasName;
   Actor:  deleteAlias(parent, aliasName); */!!

inherit(Object, #CLIDelAliasNode, #(aliasName), 2, nil)!!

now(class(CLIDelAliasNode))!!

now(CLIDelAliasNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("deleteAlias(self, ");
  CLICodeCompile(aliasName);
  CLICodeCompile(")) ");
}!!

Def init(self, alias)
{
  aliasName := alias;
}!!
